Plugin won't install?

Hi, just recently downloaded the Perth theme. When I was trying to install the recommended plugin, this error notification popped out: <br><br>
Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server’s configuration. If you continue to have problems, please try the support forums. (WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.) in /home/gapaimim/public_html/wp-admin/includes/plugin-install.php on line 158
<br>
Something went wrong with the plugin API<br><br>
I really have no idea what is wrong with the plugin, can anyone please help me?
<br><br> Details:<br>
website: www.gapaimimpi.org<br>
server: softaculous<br><br>
Thank you!

Hello there,

Thank you for reporting.

Apologies, nothing we can do further because this issue doesn’t relate to the Perth theme. But it is the server configuration territory. I’d suggest you to consult to your hosting support.

Regards,
Kharis